Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.actor
Class ActorServiceThread

    java.lang.Object
      java.lang.Thread
          things.thinger.service.actor.ActorServiceThread

All Implemented Interfaces:
  java.lang.Runnable, ActorServiceContextInterface

    public class ActorServiceThread

extends java.lang.Thread
implements ActorServiceContextInterface

The actor service.

Version:
  1.0

  Version History

      EPG - Initial - 12 MAY 07

Author:
  Erich P. Gatejen

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ActorServiceThread()`

Method Summary
`void` | `initialize(SystemInterface si, java.net.Socket sock)` Initialize the lightweight service thread.
`void` | `run()` The run method.
`void` | `send(ActorMessage theMessage)` Send the message.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActorServiceThread

    public ActorServiceThread()

Method Detail

### initialize

    public void initialize(SystemInterface si,
                           java.net.Socket sock)
                    throws java.lang.Throwable

  Initialize the lightweight service thread.

  Parameters:
    `si` - A system interface.
    `sock` - The server socket.
  Throws:
    `java.lang.Throwable`

### run

    public void run()

  The run method.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### send

    public void send(ActorMessage theMessage)
              throws java.lang.Throwable

  Send the message.

  Specified by:
    `send` in interface `ActorServiceContextInterface`
  Parameters:
    `theMessage` - The message to send.
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.